Name:           dosbox
Version:        0.65
Release:        1%{?dist}

Summary:        x86/DOS emulator with sound and graphics

Group:          Applications/Emulators
License:        GPL
URL:            http://dosbox.sf.net
Source0:        http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        dosbox.desktop
Source2:        dosbox.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libpng-devel
BuildRequires:  SDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  alsa-lib-devel
BuildRequireS:  libGLU-devel

%description

DOSBox is a DOS-emulator using SDL for easy portability to different
platforms. DOSBox has already been ported to several different platforms,
such as Windows, BeOS, Linux, Mac OS X...
DOSBox emulates a 286/386 realmode CPU, Directory FileSystem/XMS/EMS,
a SoundBlaster card for excellent sound compatibility with older games...
You can "re-live" the good old days with the help of DOSBox, it can run plenty
of the old classics that don't run on your new computer!



%prep
%setup -q

%build
%configure --enable-shots
%{__make}


%check
%{__make} check


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

desktop-file-install \
  --vendor=fedora \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m 0644 %SOURCE2 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/dosbox.png


%changelog
* Thu Mar 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.65-1
- version upgrade

* Tue Feb 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-9
- Rebuild for Fedora Extras 5

* Wed Jan 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-8
- apply upstream patch
- fix typos

* Sun Jan 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-7
- add dist
- rebuild
- add gcc4.1 patch

* Mon May 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-6
- add a x86_64 bugfix from upstream 

* Mon May 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-5
- more build fixes and cleanups...

* Mon May 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- more x86_64 build fixes...

* Mon May 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.63-3
- fix x86_64 build (#158446)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Nov 25 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.63-1
- new version
- added missing BuildRequires
- merged with preextras spec

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net>
- Add a desktop file icon from upstream package (fixes fedora.us #1144).

* Mon May 31 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.61-0.fdr.1
- new version

* Mon Dec 22 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.60-0.fdr.1
- new version
- closed bug #1144
* Sun Jul 27 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.58-0.fdr.3
- Fixed minor stuff from #442 #3

* Sun Jul 13 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:0.58-0.fdr.2
- Added desktop entry
- Fixed minor stuff

* Mon Jun 30 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:0.58-0.fdr.1
- Initial RPM release.
